<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">

	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.gcube.iam</groupId>
		<artifactId>keycloak-d4science-spi-parent</artifactId>
		<version>2.2.0-SNAPSHOT</version>
	</parent>

	<artifactId>protocol-mapper</artifactId>
	<packaging>jar</packaging>

	<scm>
		<connection>
			scm:git:https://code-repo.d4science.org/gCubeSystem/${project.parent.artifactId}.git</connection>
		<developerConnection>
			scm:git:https://code-repo.d4science.org/gCubeSystem/${project.parent.artifactId}.git</developerConnection>
		<url>
			https://code-repo.d4science.org/gCubeSystem/${project.parent.artifactId}</url>
	</scm>

	<properties>
		<junit-jupiter.version>5.8.2</junit-jupiter.version>
		<assertj-core.version>3.22.0</assertj-core.version>
		<javax.ws.rs.version>2.1.1</javax.ws.rs.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.keycloak</groupId>
			<artifactId>keycloak-saml-core</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.assertj</groupId>
			<artifactId>assertj-core</artifactId>
			<version>${assertj-core.version}</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-core</artifactId>
			<scope>test</scope>
		</dependency>
<!--		<dependency>-->
<!--			<groupId>javax.ws.rs</groupId>-->
<!--			<artifactId>javax.ws.rs-api</artifactId>-->
<!--			<version>${javax.ws.rs.version}</version>-->
<!--			<scope>test</scope>-->
<!--		</dependency>-->
	</dependencies>

	<build />

</project>